Bug 9364 - Wrong billing/delivery addresses when creating a basket
Summary: Wrong billing/delivery addresses when creating a basket
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Adrien SAURAT
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 11:15 UTC by Adrien SAURAT
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (883 bytes, patch)
2013-01-08 11:21 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED OFF] Bug 9364: fixes billing/delivery addresses for new baskets (948 bytes, patch)
2013-01-08 13:49 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 9364: fixes billing/delivery addresses for new baskets (1.17 KB, patch)
2013-01-18 20:11 UTC, Elliott Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2013-01-08 11:15:50 UTC
[MT 10832]

When creating a new basket, the billing and delivery addresses are not stored correctly.
Comment 1 Adrien SAURAT 2013-01-08 11:21:42 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-01-08 13:46:52 UTC
Test done : 
1. Before applying patch : 
- create a basket, select a billingplace, select a delivery place
- deliveryplace is not saved (you can only see "Billing place : ..." in basket summary)

2. Before applying patch : 
- create a basket, select a billingplace, select a delivery place
- deliveryplace is saved (you can see the 2 lines "Delivery place : ..." and "Billing place:..." in basket summary)

I sign off.

M. Saby
Rennes 2 university
Comment 3 mathieu saby 2013-01-08 13:49:23 UTC Comment hidden (obsolete)
Comment 4 Elliott Davis 2013-01-18 20:11:51 UTC
Created attachment 14717 [details] [review]
Bug 9364: fixes billing/delivery addresses for new baskets

Corrects the parameters used for the NewBasket call, when
creating a new basket.

Signed-off by: Mathieu Saby <mathieu.saby@univ-rennes2.fr>

Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
I am passing this with a warning.  You must go back and resave the locations.
After just rereshing I got the same results but upon resubmitting the form I got the result described in the test plan.
Comment 5 Jared Camins-Esakov 2013-01-19 00:15:05 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-02-01 08:16:40 UTC
Pushed to 3.10.x will be in 3.10.3